For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all task templates of the task bundle with the specified id.
      • POSTCreates a new task template for the task bundle with the specified id.
      • GETReturns the task template of the task bundle with the specified id.
      • PUTUpdates the task template for the task bundle with the specified id.
      • DELDeletes the task template for the task bundle with the specified id.
      • POSTAssigns a list of users to task templates.
      • GETReturns the task template with the specified id.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Templates

Assigns a list of users to task templates.

POST
https://api.awork.com/api/v1/taskbundles/:taskBundleId/tasktemplates/:taskTemplateId/setassignees
POST
/api/v1/taskbundles/:taskBundleId/tasktemplates/:taskTemplateId/setassignees
$curl -X POST https://api.awork.com/api/v1/taskbundles/taskBundleId/tasktemplates/taskTemplateId/setassignees \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "d3b07384-d9a1-4f2e-8f3a-1a2b3c4d5e6f"
>]'
Users that are not passed and are already assigned will be removed. Removes existing task template assignments and adds the new assignment. <Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns the task template with the specified id.

Next
Built with

Users that are not passed and are already assigned will be removed. Removes existing task template assignments and adds the new assignment.

Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.
taskBundleIdstringRequired

Request

The id of the users.

Response

No Content

Errors

404
Not Found Error